import Executor from '../executors/Executor';
import { SuiteLifecycleFunction } from '../Suite';
import { TestFunction } from '../Test';
export interface BddInterface {
    describe(name: string, factory: SuiteLifecycleFunction): void;
    it(name: string, test: TestFunction): void;
    before(fn: SuiteLifecycleFunction): void;
    after(fn: SuiteLifecycleFunction): void;
    beforeEach(fn: SuiteLifecycleFunction): void;
    afterEach(fn: SuiteLifecycleFunction): void;
}
export default function getInterface(executor: Executor): BddInterface;
